## sambaBackend.py - contains the backend code for system-config-samba
## Copyright (C) 2002, 2003 Red Hat, Inc.
## Copyright (C) 2002, 2003 Brent Fox <bfox@redhat.com>

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See then
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import string
import os
import re

##
## I18N
##
from rhpl.translate import _, N_
import rhpl.translate as translate
domain = 'system-config-samba'
translate.textdomain (domain)

class SambaBackend:

    def isSmbRunning(self):
        fd = os.popen('LC_MESSAGES=C /etc/init.d/smb status')
        lines = fd.readlines()
        fd.close()

        for line in lines:
            if string.find(line, 'smbd') >= 0:
                if string.find(line, 'stopped') > 0:
                    return 0
                if string.find(line, 'running') > 0:
                    return 1

    def startSamba(self):
        path = '/sbin/service'
        args = ['/sbin/service', 'smb', 'start']

        fd = os.popen('/sbin/service smb start')
        lines = fd.readlines()
        fd.close()

    def restartSamba(self):
        fd = os.popen('/sbin/service smb restart')
        lines = fd.readlines()
        fd.close()
